class MockedNetboxClient:
    class BaseMockObject:
        def __init__(self, **kwargs):
            for key, value in kwargs.items():
                setattr(self, key, value)

    def get_device_by_name(self):
        return self.BaseMockObject(id=1, name="test")

    def get_available_lags(self) -> list[str]:  # noqa: PLR6301
        return [f"LAG{lag}" for lag in range(1, 5)]

    def get_available_interfaces(self):  # noqa: PLR6301
        interfaces = []
        for interface in range(5):
            interface_data = {
                "name": f"Interface{interface}",
                "module": {"display": f"Module{interface}"},
                "description": f"Description{interface}",
            }
            interfaces.append(interface_data)
        return interfaces

    def create_interface(self):
        return self.BaseMockObject(id=1, name="test")

    def attach_interface_to_lag(self):
        return self.BaseMockObject(id=1, name="test")

    def reserve_interface(self):
        return self.BaseMockObject(id=1, name="test")

    def allocate_interface(self):  # noqa: PLR6301
        return {"id": 1, "name": "test"}

    def free_interface(self):
        return self.BaseMockObject(id=1, name="test")

    def detach_interfaces_from_lag(self):  # noqa: PLR6301
        return None

    def delete_interface(self):  # noqa: PLR6301
        return None
